Pave Bank
Transfer

External Transfer

Create an external transfer. The transfer_external_type must be specified (e.g., DOMESTIC_USD, SWIFT) and the respective transfer type's payload be filled out in the request body. For example, if transfer_external_type is SWIFT, the swift parameters must be completed.

Example External Transfer

curl --request POST \
  --url https://api.pavebank.com/v1/transfer/external \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: YOUR_IDEMPOTENCY_KEY'
  --data '{
    "transfer_external_type": "SWIFT",
    "swift": {
      "additional_details": "Urgent processing requested",
      "address_one": "8 Finance Street",
      "address_two": "Level 18",
      "amount": "5000000",
      "asset": "USD",
      "beneficiary_name": "Jane Smith",
      "beneficiary_type": "individual",
      "country": "US",
      "description": "June salary transfer",
      "destination": "<ACCOUNT_NUMBER>",
      "email": "[email protected]",
      "fee_type": "sender",
      "intermediary_institution_code": "CITIUS33",
      "pop_code": "<POPCODE>",
      "recipient_country": "HK",
      "recipient_postal_code": "999077",
      "send_email": true,
      "source_account_id": "account_<ACCOUNT_NUMBER>",
      "swift_code": "CHASUS33",
      "pop_code": "OWN",
      "structured_address": {
        "building_number": "123",
        "street_name": "Main Street",
        "floor": "4B",
        "town_name": "New York",
        "country_sub_division": "NY",
        "post_code": "10001",
        "country": "US"
      },
      "document_ids": [
        "document_abc123",
        "document_def456"
      ]
    }
  }'
POST
/v1/transfer/external

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Request Body

application/jsonOptional
transfer_external_typeRequiredstring

SWIFT, DOMESTIC_USD

domestic_usdobject
swiftobject

Response Body

Success response

transaction_idRequiredstring
curl -X POST "https://developer-api-staging.pavebank.dev/v1/transfer/external" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "transfer_external_type": "string",
    "domestic_usd": {
      "ach_routing_number": "string",
      "additional_details": "string",
      "address_one": "string",
      "address_two": "string",
      "amount": "string",
      "beneficiary_email": "string",
      "beneficiary_name": "string",
      "city": "string",
      "country": "string",
      "description": "string",
      "destination_account_number": "string",
      "destination_account_type": "string",
      "postcode": "string",
      "send_email": true,
      "source_account_id": "string",
      "state": "string",
      "document_ids": [
        "string"
      ]
    },
    "swift": {
      "additional_details": "string",
      "address_one": "string",
      "address_two": "string",
      "amount": "string",
      "asset": "string",
      "beneficiary_name": "string",
      "beneficiary_type": "string",
      "country": "string",
      "description": "string",
      "destination": "string",
      "email": "string",
      "fee_type": "string",
      "intermediary_institution_code": "string",
      "pop_code": "string",
      "pop_code_other": "string",
      "recipient_country": "string",
      "recipient_postal_code": "string",
      "send_email": true,
      "source_account_id": "string",
      "swift_code": "string",
      "structured_address": {
        "building_name": "string",
        "building_number": "string",
        "country": "string",
        "country_sub_division": "string",
        "department": "string",
        "district_name": "string",
        "floor": "string",
        "post_box": "string",
        "postcode": "string",
        "room": "string",
        "street_name": "string",
        "sub_department": "string",
        "town_location_name": "string",
        "town_name": "string"
      },
      "document_ids": [
        "string"
      ]
    }
  }'
{
  "transaction_id": "string"
}